---
title: "Start contributing"
layout: docs
---

## Before you start

* Please familiarize yourself with the [Code of Conduct][1] before contributing.
* Also, see [CONTRIBUTING.md][2] for instructions on the developer certificate of origin that we require.

## Creating a design doc

Having a high level design document with the proposed change and the impacts helps the maintainers evaluate if a major change should be incorporated.

To make a design pull request, you can copy the template found in the `design/_template.md` file into a new Markdown file.

## Finding your way around

You may join the Velero community and contribute in many different ways, including helping us design or test new features. For any significant feature we consider adding, we start with a design document. You may find a list of in progress new designs here: https://github.com/vmware-tanzu/velero/pulls?q=is%3Aopen+is%3Apr+label%3ADesign. Feel free to review and help us with your input.

You can also vote on issues using :+1: and :-1:, as explained in our [Feature enhancement request][3] and [Bug issue][4] templates. This will help us quantify importance and prioritize issues.

For information on how to connect with our maintainers and community, join our online meetings, or find good first issues, start on our [Velero community](https://velero.io/community/) page.

Please browse our list of resources, including a playlist of past online community meetings, blog posts, and other resources to help you get familiar with our project: [Velero resources](https://velero.io/resources/).

## Contributing

If you are ready to jump in and test, add code, or help with documentation, please use the navigation on the left under `Contribute`.

[1]: https://github.com/vmware-tanzu/velero/blob/v1.8.0/CODE_OF_CONDUCT.md
[2]: https://github.com/vmware-tanzu/velero/blob/v1.8.0/CONTRIBUTING.md
[3]: https://github.com/vmware-tanzu/velero/blob/v1.8.0/.github/ISSUE_TEMPLATE/feature-enhancement-request.md
[4]: https://github.com/vmware-tanzu/velero/blob/v1.8.0/.github/ISSUE_TEMPLATE/bug_report.md
